1. Ce site utilise des cookies. En continuant à utiliser ce site, vous acceptez l'utilisation des cookies. En savoir plus.

Launcher ne se lance plus :(

Discussion dans 'Résolutions des bugs de la V2' créée par ajja, 15 Juin 2016.

  1. ajja

    ajja Membre Membre

    Inscrit:
    18 Janvier 2013
    Messages:
    170
    J'aime reçus:
    382
    bonjour,

    j’étais sous Linux mint (version rosa) et j'avais aucun problème avec le launcher jusqu’à maintenant.

    mais après avoir subit de nombreuses pannes d’électricité pour des travaux dans mon village mon pc était devenu instable.

    j'ai donc décidé de le refaire au propre avec une distribution Linux réputée pour sa stabilité (tant qu'a faire)

    après avoir installé et configuré débian 8 je me suis attaqué à java pour UC.

    et la je suis tombé face à un problème, je ne parviens plus à lancer le launcher.

    je me suis dit que le problème venait de moi car ça a toujours bien marché au par avant. j'ai donc testé un launcher quelconque et celui ci c'est lancé. j'ai donc pensé après ça que c’était débian qui aimait pas UC j'ai alors essayé vite fait avec un live CD de Linux mint rosa (la version que j'avais avant et qui fonctionnait avec UC) et la même chose je ne parviens pas à le lancer.

    maintenant je me demande si la perte du dossier .unplugged ne causera pas le même problème aux joueurs ou nouveau venu sous linux, car j'ai l'impression que tout a commencé pour moi au moment ou j'ai du reprendre à zéro sur un disque vierge.

    voici ce qu'un terminal me rend quand je lance le launcher avec la ligne de commande: java -jar launcher.jar

    ajja@debian:~/Téléchargements$ java -jar 1.jar
    Exception in thread "main" java.lang.UnsupportedClassVersionError: fr/unplugged_craft/bootstrap/UCBootstrap : Unsupported major.minor version 52.0
    at java.lang.ClassLoader.defineClass1(Native Method)
    at java.lang.ClassLoader.defineClass(ClassLoader.java:803)
    at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:142)
    at java.net.URLClassLoader.defineClass(URLClassLoader.java:449)
    at java.net.URLClassLoader.access$100(URLClassLoader.java:71)
    at java.net.URLClassLoader$1.run(URLClassLoader.java:361)
    at java.net.URLClassLoader$1.run(URLClassLoader.java:355)
    at java.security.AccessController.doPrivileged(Native Method)
    at java.net.URLClassLoader.findClass(URLClassLoader.java:354)
    at java.lang.ClassLoader.loadClass(ClassLoader.java:425)
    at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:308)
    at java.lang.ClassLoader.loadClass(ClassLoader.java:358)
    at sun.launcher.LauncherHelper.checkAndLoadMain(LauncherHelper.java:482)
    ajja@debian:~/Téléchargements$


    voila je laisse les experts juger :tongueout:
     
    #1
  2. Designer

    Designer Ancien Responsable Membre

    Inscrit:
    2 Juillet 2014
    Messages:
    1 299
    J'aime reçus:
    386
  3. kenshironanto

    kenshironanto Membre Membre

    Inscrit:
    23 Août 2013
    Messages:
    484
    J'aime reçus:
    626
    Hello ajja :smile:

    Effectivement tu tentes de lancer UC d'une version java trop ancienne. Pour qu'UC v2 tourne, il faut java 64 en version 8.


    peux tu lancer une console et me faire un : java -version

    Histoire que je check ça :smile:
     
    #3
  4. ajja

    ajja Membre Membre

    Inscrit:
    18 Janvier 2013
    Messages:
    170
    J'aime reçus:
    382
    yop yop :smile:

    voila le retour de la commande

    ajja@debian:~$ java -version
    java version "1.7.0_101"
    OpenJDK Runtime Environment (IcedTea 2.6.6) (7u101-2.6.6-2~deb8u1)
    OpenJDK 64-Bit Server VM (build 24.95-b01, mixed mode)
    ajja@debian:~$
     
    #4
  5. kenshironanto

    kenshironanto Membre Membre

    Inscrit:
    23 Août 2013
    Messages:
    484
    J'aime reçus:
    626
    effectivement, tu as java version 7, ce qui pose des soucis au lancement d'UC :smile:


    Donc je peux te donner la procedure en ligne de commande pour installer java 8, tu veux te faire ça? :smile:
     
    #5
  6. ajja

    ajja Membre Membre

    Inscrit:
    18 Janvier 2013
    Messages:
    170
    J'aime reçus:
    382
    je suis preneur :smile:
     
    #6
  7. kenshironanto

    kenshironanto Membre Membre

    Inscrit:
    23 Août 2013
    Messages:
    484
    J'aime reçus:
    626
    Ok dejà, on va se telecharger java, en derniere version :

    http://javadl.oracle.com/webapps/download/AutoDL?BundleId=207765

    dl le ou tu veux, mettont on se calle dans /home/ajja - colle l'archive dans ce repertoire

    donc partant de là, tu lances une console

    (NOTE : je le fais de tete j'ai pas de machines pour valider tout ce que je t'ecris mais normalement, si j'suis pas trop mauvais, ça devrait etre ça=)


    tu tapes :

    cd /home/ajja

    tar -cvf jre-8u91-linux-x64.tar.gz /usr/lib/java64

    Une fois qu'on a décompressé l'archive dans le repertoire /usr/lib/java64 - On va creer des liens pour l'utilisation de java (On va dire a debian comment lancer java en gros)

    update-alternatives --install /usr/lib/java64/jre1.8.0_91/bin/java java /usr/bin/java 100

    update-alternatives --install /usr/lib/java64/jre1.8.0_91/bin/javaws javaws /usr/bin/javaws 100


    Ensuite tu check si java est en version 8

    java -version


    Voilaaa :smile: tu peux lancer UC, normalement
     
    #7
    Gus aime ça.
  8. Roro

    Roro Retraité

    Inscrit:
    3 Novembre 2014
    Messages:
    3 753
    J'aime reçus:
    3 219
    La méthode que tu m'as donné pour passer mon java en 8 sur mon linux marchait pas sur ton PC où tu l'a complètement oublié? Car c'était le même problème que toi jusqu'à ce que tu m'aide avec cette méthode
     
    #8
  9. ajja

    ajja Membre Membre

    Inscrit:
    18 Janvier 2013
    Messages:
    170
    J'aime reçus:
    382
    parfait :smile:
    merci pour les heures supp fournies @kenshironanto

    tadaaaa:

    root@debian:~# java -version
    java version "1.8.0_91"
    Java(TM) SE Runtime Environment (build 1.8.0_91-b14)
    Java HotSpot(TM) 64-Bit Server VM (build 25.91-b14, mixed mode)
    root@debian:~#

    @roro91260101 la manip est sensiblement différente entre ubuntu et débian :tongueout:
     
    #9
    Roro aime ça.
  10. kenshironanto

    kenshironanto Membre Membre

    Inscrit:
    23 Août 2013
    Messages:
    484
    J'aime reçus:
    626

    effectivement je m'adapte aux differents systemes :smile:

    Impec ajja, tu peux retrouver les joies de pecher pres du lac Ajja au spawn du semi :smile:
     
    #10
    Gus et Roro aiment ça.
  11. Roro

    Roro Retraité

    Inscrit:
    3 Novembre 2014
    Messages:
    3 753
    J'aime reçus:
    3 219
    Ah ok ^^
     
    #11
  12. ajja

    ajja Membre Membre

    Inscrit:
    18 Janvier 2013
    Messages:
    170
    J'aime reçus:
    382
    je viens de remarquer l'avertissement de mise à jour minimum sur la page du site pour télécharger le launcher d'UC
    mais il demande une version 1.7 minimum ne faudrait-il pas mettre 1.8 comme ça a été pour moi le cas sur ce topic ?

    ps: j'ai vraiment gagné en fluidité avec une version à jour sur un système récent et tout frais :smile: mais j'ai été étonné de voir que les dernières distributions en date distribuent encore une ancienne version java enfin openJDK
     
    #12

Partager cette page